On Aug 14th 11 PM ET/Aug 15th 03:00 UTC, due to scheduled Firefox Account server maintenance, users may not be able to sign in or create a new subscription. This is expected to last approximately 30 minutes. Status updates can be found at https://status.vpn.mozilla.org or https://status.relay.firefox.com.

Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

why release new version not compatible with trusteer rapport

  • 3 replies
  • 2 have this problem
  • 14 views
  • Last reply by cor-el

more options

New updates never work with ibm trusteer rapport yet UK banks insist we use this s/ware for security so you are putting our bank accounts at risk. will now use edge or chrome until it is fixed.

New updates never work with ibm trusteer rapport yet UK banks insist we use this s/ware for security so you are putting our bank accounts at risk. will now use edge or chrome until it is fixed.

All Replies (3)

more options

You should complain to your Bank. Firefox Releases are well published and any software developer should be aware of the Release dates and able to update their software to work with the new Releases. Pre Release builds of Firefox are available for anyone needing to test them and ensure their software is updated to remain compatible with Firefox.

more options

Hi, unfortunately Trusteer is seemingly often slow to accommodate the latest version of Firefox, which is a pity, because using an old version can in itself compromise your security.

http://www.trusteer.com/support/supported-platforms

Details of new Firefox versions are available well in advance - https://wiki.mozilla.org/RapidRelease/Calendar

Unless your bank insists, you don't of course have to use it, but that's a matter of personal choice.

If your question is resolved by this or another answer, please take a minute to let us know. Thank you!

more options

Trusteer claims they support Firefox 52 and although they do not mention Firefox 52 ESR you can still give the latest ESR version Firefox 52.1.0 ESR or Firefox 45.9.0 ESR a try.

You can install a portable (ESR) Firefox version to access websites that do not work with the current Firefox release. The portable version comes with its own profile folder and doesn't interfere with currently installed Firefox versions.

You should create a new profile if you would use the ESR release instead of the portable version.